Various programs fail to start with Assertion 's' failed at pulse/stream.c:971, function pa_stream_drain(). Aborting.

Bug #274577 reported by M Dewitt on 2008-09-25
52
This bug affects 4 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Omegamormegil

Bug Description

I ran updates today (Sept. 25) on Ubuntu 8.10 at 5:00 PM EST. The last time I did updates before that was yesterday about 6:00 PM EST.

I have Frozen Bubble set at full screen. I get the "Loading" for a few seconds, then it goes to desktop & freezes the mouse. The screen changes to a lower resolution of 640 X 480. Escape doesn't work -- I have to do <Ctrl><Alt><Backspace> to restart X.

Also, RhythmBox stopped working -- I get a sound error. ALSA & Pulse audio don't work, but switching to OSS does work.

I've attached what Terminal says when I open Frozen Bubble in windowed mode.

Error:
   ALSA lib pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

   E: stream.c: Assertion 's' failed at pulse/stream.c:971, function pa_stream_drain(). Aborting.
   Aborted (core dumped)

M Dewitt (dewittmaxine) wrote :
ld (ld-dubois) wrote :

Hello,

I've same problem while running tmw :
laurent@laurent-laptop:~$ tmw
ALSA lib pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

E: stream.c: Assertion 's' failed at pulse/stream.c:971, function pa_stream_drain(). Aborting.
Abandon (core dumped)

I'm trying to take stacktrace ...
ld.

ld (ld-dubois) wrote :
ld (ld-dubois) wrote :

Similar error while installing timidity package with synaptic.
Ubuntu 8.10 just updated.

ld (ld-dubois) wrote :

following some tip here :
http://ubuntuforums.org/showthread.php?t=929641&page=3

I clean ./pulse directory

reboot , and it work

Daniel T Chen (crimsun) wrote :

Is libasound2-plugins installed?

Changed in pulseaudio:
importance: Undecided → Medium
status: New → Incomplete
Omegamormegil (omegamormegil) wrote :

I am getting the same error running wesnoth. I already deleted ~/.wesnoth and I do have libasound2-plugins installed. When I run wesnoth from the terminal, I get an error identical to the the terminal error reported by M Dewitt, preceded by this line:

   ALSA lib pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

Let me know if you want any additional information.

Omegamormegil (omegamormegil) wrote :

In case I wasn't clear, wesnoth does not start.

Problem with timidity install now solved by removing (--purge) timidity package and then installing it. I used ld's tip.

Omegamormegil (omegamormegil) wrote :

sudo aptitude remove --purge wesnoth && sudo aptitude install wesnoth-all does not fix wesnoth.

sudo killall pulseaudio lets me start wesnoth until I restart the computer. It's a pulseaudio problem. Similarly, glob2 will not run without killing pulseaudio first.

description: updated

I have this aswell on 8.10 Intrepid amd64, it has something to do with pulseaudio/gnome startup?, every other login to gnome i get this and apps cant play any sound at all, i have to either log in/out or kill pulseaudio.

mplayer -ao pulse test.avi
AO: [pulse] Failed to connect to server: Invalid argument

mplayer -ao alsa test.avi
[AO_ALSA] alsa-lib: pcm_pulse.c:629:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument
[AO_ALSA] Unable to set hw-parameters: Input/output error
Could not open/initialize audio device -> no sound.

when this occurs i dont have any sound in gstream apps either.

ld (ld-dubois) wrote :

Hello,

i have this problem a new time after next system update,
I install some other debug package and take gdb backtrace

I hope it'll be helpfull

d

Nick Moffitt (nick-moffitt) wrote :

Seeing this in Intrepid as of the current update 5 October 2008 16:30 UTC

Russell Phillips (ignissport) wrote :

Installed intrepid (beta) on an Acer Aspire One today. I am getting this exact problem. PulseAudio does not work when I first log in (but pulseaudio process is running). I need to kill/restart pulseaudio for it to work.

And yes, I have libasound2-plugins installed. It's indirectly dependant on ubuntu-desktop, so I assume it's always been there.

Omegamormegil (omegamormegil) wrote :

This problem has been completely resolved for me, as of the last few times I've tried starting any of the applications that weren't working before.

Caroline Ford (secretlondon) wrote :

These mostly (all?) seem to be SDL applications. We have the same language here bug #289687 which is breakage when running apps on a machine without a sound card.

José Lou Chang (obake) wrote :

Hello, I seems to have the same problem.

I have installed Globulation 2 [http://globulation2.org/wiki/Main_Page] from the Universe Repository, which is the package name "glob2"

Everytime I open Glob2, the windows closes in less than 2 seconds.

This is what I get on the terminal:

Warrior@castle:~$ glob2
Settings::load("preferences.txt") : error, can't open file.
ALSA lib pcm_pulse.c:625:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

E: stream.c: Assertion 's' failed at pulse/stream.c:971, function pa_stream_drain(). Aborting.
Aborted

****
This is what I have:

Ubuntu 8.10 (Intrepid Ibex) 32-bit
Linux Kernel: 2.6.27-9
GNOME: 2.24.1
libasound2: 1.0.17a-0ubuntu4
libasound2-plugin: 1.0.17a-0ubuntu4
Glob2: 0.9.3-2

***

If there is anything I could do, please tell me.
I will like to help. I will do anything that it is possible for me.

Thank you.

boothby (stonehew) wrote :

I'm also getting this error when I try to run dosbox. Thanks to driver problems, I'm stuck with running ubuntu under VirtualBox right now. The good news is, I have an relatively clean install of Ubuntu 8.10 that's exhibiting this error, that I can send to somebody if they want to play around with it.

Tom (tjkirch) wrote :

I'm getting the exact same error trying to run virtualboyadvance-gtk. gvba dies immediately with the above message. If I kill and restart pulseaudio, it then works fine.

This is happening on Jaunty beta - I have all of the updates as of yesterday.

Daniel T Chen (crimsun) wrote :

Tom, is this symptom still reproducible in current jaunty?

Fibonacci (fibonacci-prower) wrote :

I found this bug when more than one user is logged at the same time on the same machine and all of them try to open audio streams (even something as simple as speaker-test) - all of them will fail with the following error:

ALSA lib pcm_pulse.c:625:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

Unable to set hw params for playback: Input/output error
Setting of hwparams failed: Input/output error

Why is this marked as incomplete? If you need any more info, I'd be happy to provide it.

Davide Lasagna (lasagnadavide) wrote :

The solution to this problem was this:
http://ubuntuforums.org/archive/index.php/t-931607.html

Basically the login sound prevented pulseaudio to start correctly at login.
To fix this go to: System >> admin >> login window >> accessibility and toggle off the "login successfull" sound

But now i don't have any login sound, and i cannot set it in the sound preferences..

Marc (schuetz-marc) wrote :

I upgraded my system to jaunty, and the problem still exists for me

Jenda Vančura (jenda) wrote :

Clean Jaunty install here and I have this issue too - tried with wesnoth and 'sudo killall pulseaudio' fixes it temporarily. Didn't have this on Intrepid (or any other release, for that matter).

On Mon, 27 Apr 2009, Jenda Vančura wrote:

> Clean Jaunty install here and I have this issue too - tried with wesnoth
> and 'sudo killall pulseaudio' fixes it temporarily. Didn't have this on
> Intrepid (or any other release, for that matter).

Can you `killall pulseaudio;pulseaudio -vv' then pastebin the log when the
daemon dies?

Has anyone who can duplicate this issue considered reporting this upstream?

Darxus (darxus) wrote :

I got the same error when I switched output devices to USB. And continued getting it after switching back to analog:

ALSA lib pcm_pulse.c:626:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

Removing ~/.pulse and restarting pulseaudio made the error go away (still haven't gotten usb audio to work). Restarted with:
/etc/init.d/pulseaudio stop
/etc/init.d/pulseaudio start

Darxus (darxus) wrote :

Yes, libasound2-plugins is installed.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers